Get Container Template
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId}/containers/{containerId} \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/mc/apps/{appId}/containers/{containerId}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/mc/apps/{appId}/containers/{containerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"packageId": "<string>",
"image": "<string>",
"imageName": "<string>",
"imageNamespace": "<string>",
"imageTag": "<string>",
"imageRegistryId": "<string>",
"imageDigest": "<string>",
"entryPoint": {
"command": "<string>",
"commandArray": [
"<string>"
],
"arguments": "<string>",
"argumentsArray": [
"<string>"
],
"workingDirectory": "<string>"
},
"probes": {
"startup": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"readiness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
},
"liveness": {
"initialDelaySeconds": 10,
"periodSeconds": 10,
"timeoutSeconds": 7,
"failureThreshold": 3,
"successThreshold": 1,
"httpGet": {
"request": {
"path": "<string>",
"portNumber": 32768
},
"response": {}
},
"tcpSocket": {
"request": {
"portNumber": 32768
}
},
"grpc": {
"request": {
"portNumber": 32768,
"serviceName": "<string>"
}
}
}
},
"environmentVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"endpoints": [
{
"displayName": "<string>",
"publicHost": "<string>",
"isSslEnabled": true,
"pullZoneId": "<string>",
"portMappings": [
{
"containerPort": 123,
"exposedPort": 123,
"protocols": []
}
],
"stickySessions": {
"enabled": true,
"sessionHeaders": [
"<string>"
],
"cookieName": "<string>"
},
"internalIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
],
"publicIpAddresses": [
{
"address": "<string>",
"region": "<string>"
}
]
}
],
"volumeMounts": [
{
"name": "<string>",
"mountPath": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Containers
Get Container Template
Gets a container template within an application.
GET
/
apps
/
{appId}
/
containers
/
{containerId}
Get Container Template
Authorizations
Please enter a valid personal API key.
Path Parameters
The ID of the application
The ID of the container template
Response
Container template retrieved successfully.
Container template model
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
always, ifNotPresent Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 7, 2026
Was this page helpful?
⌘I